### A free/open-source library for quantitative finance

Public Types | Public Member Functions | Protected Member Functions
MCDigitalEngine< RNG, S > Class Template Reference
Vanilla option engines

Pricing engine for digital options using Monte Carlo simulation. More...

`#include <ql/pricingengines/vanilla/mcdigitalengine.hpp>`

Inheritance diagram for MCDigitalEngine< RNG, S >:
[legend]

List of all members.

## Public Types

typedef MCVanillaEngine < SingleVariate, RNG, S > ::path_generator_type | path_generator_type
typedef MCVanillaEngine < SingleVariate, RNG, S > ::path_pricer_type | path_pricer_type
typedef MCVanillaEngine < SingleVariate, RNG, S > ::stats_type | stats_type

## Public Member Functions

| MCDigitalEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &, Size timeSteps, Size timeStepsPerYear, bool brownianBridge, bool antitheticVariate, Size requiredSamples, Real requiredTolerance, Size maxSamples, BigNatural seed)

## Protected Member Functions

boost::shared_ptr < path_pricer_type > | pathPricer () const

## Detailed Description

### template<class RNG = PseudoRandom, class S = Statistics>
class QuantLib::MCDigitalEngine< RNG, S >

Pricing engine for digital options using Monte Carlo simulation.

Uses the Brownian Bridge correction for the barrier found in Going to Extremes: Correcting Simulation Bias in Exotic Option Valuation - D.R. Beaglehole, P.H. Dybvig and G. Zhou Financial Analysts Journal; Jan/Feb 1997; 53, 1. pg. 62-68 and Simulating path-dependent options: A new approach - M. El Babsiri and G. Noel Journal of Derivatives; Winter 1998; 6, 2; pg. 65-83

Tests:
  the correctness of the returned value in case of cash-or-nothing at-hit digital payoff is tested by reproducing known good results.